XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xf86dri.h
1 /*
2 * This file generated automatically from xf86dri.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XF86DRI_H
13 #define __XF86DRI_H
14
15 #include "xcb.h"
16
17 #ifdef __cplusplus
18 extern "C" {
19 #endif
20
21 #define XCB_XF86DRI_MAJOR_VERSION 4
22 #define XCB_XF86DRI_MINOR_VERSION 1
23
24 extern xcb_extension_t xcb_xf86dri_id;
25
29 typedef struct xcb_xf86dri_drm_clip_rect_t {
30 int16_t x1;
31 int16_t y1;
32 int16_t x2;
33 int16_t x3;
34 } xcb_xf86dri_drm_clip_rect_t;
35
39 typedef struct xcb_xf86dri_drm_clip_rect_iterator_t {
40 xcb_xf86dri_drm_clip_rect_t *data;
41 int rem;
42 int index;
43 } xcb_xf86dri_drm_clip_rect_iterator_t;
44
48 typedef struct xcb_xf86dri_query_version_cookie_t {
49 unsigned int sequence;
50 } xcb_xf86dri_query_version_cookie_t;
51
53 #define XCB_XF86DRI_QUERY_VERSION 0
54
58 typedef struct xcb_xf86dri_query_version_request_t {
59 uint8_t major_opcode;
60 uint8_t minor_opcode;
61 uint16_t length;
62 } xcb_xf86dri_query_version_request_t;
63
67 typedef struct xcb_xf86dri_query_version_reply_t {
68 uint8_t response_type;
69 uint8_t pad0;
70 uint16_t sequence;
71 uint32_t length;
72 uint16_t dri_major_version;
73 uint16_t dri_minor_version;
74 uint32_t dri_minor_patch;
75 } xcb_xf86dri_query_version_reply_t;
76
80 typedef struct xcb_xf86dri_query_direct_rendering_capable_cookie_t {
81 unsigned int sequence;
82 } xcb_xf86dri_query_direct_rendering_capable_cookie_t;
83
85 #define XCB_XF86DRI_QUERY_DIRECT_RENDERING_CAPABLE 1
86
90 typedef struct xcb_xf86dri_query_direct_rendering_capable_request_t {
91 uint8_t major_opcode;
92 uint8_t minor_opcode;
93 uint16_t length;
94 uint32_t screen;
95 } xcb_xf86dri_query_direct_rendering_capable_request_t;
96
100 typedef struct xcb_xf86dri_query_direct_rendering_capable_reply_t {
101 uint8_t response_type;
102 uint8_t pad0;
103 uint16_t sequence;
104 uint32_t length;
105 uint8_t is_capable;
106 } xcb_xf86dri_query_direct_rendering_capable_reply_t;
107
111 typedef struct xcb_xf86dri_open_connection_cookie_t {
112 unsigned int sequence;
113 } xcb_xf86dri_open_connection_cookie_t;
114
116 #define XCB_XF86DRI_OPEN_CONNECTION 2
117
121 typedef struct xcb_xf86dri_open_connection_request_t {
122 uint8_t major_opcode;
123 uint8_t minor_opcode;
124 uint16_t length;
125 uint32_t screen;
126 } xcb_xf86dri_open_connection_request_t;
127
131 typedef struct xcb_xf86dri_open_connection_reply_t {
132 uint8_t response_type;
133 uint8_t pad0;
134 uint16_t sequence;
135 uint32_t length;
136 uint32_t sarea_handle_low;
137 uint32_t sarea_handle_high;
138 uint32_t bus_id_len;
139 uint8_t pad1[12];
140 } xcb_xf86dri_open_connection_reply_t;
141
143 #define XCB_XF86DRI_CLOSE_CONNECTION 3
144
148 typedef struct xcb_xf86dri_close_connection_request_t {
149 uint8_t major_opcode;
150 uint8_t minor_opcode;
151 uint16_t length;
152 uint32_t screen;
153 } xcb_xf86dri_close_connection_request_t;
154
158 typedef struct xcb_xf86dri_get_client_driver_name_cookie_t {
159 unsigned int sequence;
160 } xcb_xf86dri_get_client_driver_name_cookie_t;
161
163 #define XCB_XF86DRI_GET_CLIENT_DRIVER_NAME 4
164
168 typedef struct xcb_xf86dri_get_client_driver_name_request_t {
169 uint8_t major_opcode;
170 uint8_t minor_opcode;
171 uint16_t length;
172 uint32_t screen;
173 } xcb_xf86dri_get_client_driver_name_request_t;
174
178 typedef struct xcb_xf86dri_get_client_driver_name_reply_t {
179 uint8_t response_type;
180 uint8_t pad0;
181 uint16_t sequence;
182 uint32_t length;
183 uint32_t client_driver_major_version;
184 uint32_t client_driver_minor_version;
185 uint32_t client_driver_patch_version;
186 uint32_t client_driver_name_len;
187 uint8_t pad1[8];
188 } xcb_xf86dri_get_client_driver_name_reply_t;
189
193 typedef struct xcb_xf86dri_create_context_cookie_t {
194 unsigned int sequence;
195 } xcb_xf86dri_create_context_cookie_t;
196
198 #define XCB_XF86DRI_CREATE_CONTEXT 5
199
203 typedef struct xcb_xf86dri_create_context_request_t {
204 uint8_t major_opcode;
205 uint8_t minor_opcode;
206 uint16_t length;
207 uint32_t screen;
208 uint32_t visual;
209 uint32_t context;
210 } xcb_xf86dri_create_context_request_t;
211
215 typedef struct xcb_xf86dri_create_context_reply_t {
216 uint8_t response_type;
217 uint8_t pad0;
218 uint16_t sequence;
219 uint32_t length;
220 uint32_t hw_context;
221 } xcb_xf86dri_create_context_reply_t;
222
224 #define XCB_XF86DRI_DESTROY_CONTEXT 6
225
229 typedef struct xcb_xf86dri_destroy_context_request_t {
230 uint8_t major_opcode;
231 uint8_t minor_opcode;
232 uint16_t length;
233 uint32_t screen;
234 uint32_t context;
235 } xcb_xf86dri_destroy_context_request_t;
236
240 typedef struct xcb_xf86dri_create_drawable_cookie_t {
241 unsigned int sequence;
242 } xcb_xf86dri_create_drawable_cookie_t;
243
245 #define XCB_XF86DRI_CREATE_DRAWABLE 7
246
250 typedef struct xcb_xf86dri_create_drawable_request_t {
251 uint8_t major_opcode;
252 uint8_t minor_opcode;
253 uint16_t length;
254 uint32_t screen;
255 uint32_t drawable;
256 } xcb_xf86dri_create_drawable_request_t;
257
261 typedef struct xcb_xf86dri_create_drawable_reply_t {
262 uint8_t response_type;
263 uint8_t pad0;
264 uint16_t sequence;
265 uint32_t length;
266 uint32_t hw_drawable_handle;
267 } xcb_xf86dri_create_drawable_reply_t;
268
270 #define XCB_XF86DRI_DESTROY_DRAWABLE 8
271
275 typedef struct xcb_xf86dri_destroy_drawable_request_t {
276 uint8_t major_opcode;
277 uint8_t minor_opcode;
278 uint16_t length;
279 uint32_t screen;
280 uint32_t drawable;
281 } xcb_xf86dri_destroy_drawable_request_t;
282
286 typedef struct xcb_xf86dri_get_drawable_info_cookie_t {
287 unsigned int sequence;
288 } xcb_xf86dri_get_drawable_info_cookie_t;
289
291 #define XCB_XF86DRI_GET_DRAWABLE_INFO 9
292
296 typedef struct xcb_xf86dri_get_drawable_info_request_t {
297 uint8_t major_opcode;
298 uint8_t minor_opcode;
299 uint16_t length;
300 uint32_t screen;
301 uint32_t drawable;
302 } xcb_xf86dri_get_drawable_info_request_t;
303
307 typedef struct xcb_xf86dri_get_drawable_info_reply_t {
308 uint8_t response_type;
309 uint8_t pad0;
310 uint16_t sequence;
311 uint32_t length;
312 uint32_t drawable_table_index;
313 uint32_t drawable_table_stamp;
314 int16_t drawable_origin_X;
315 int16_t drawable_origin_Y;
316 int16_t drawable_size_W;
317 int16_t drawable_size_H;
318 uint32_t num_clip_rects;
319 int16_t back_x;
320 int16_t back_y;
321 uint32_t num_back_clip_rects;
322 } xcb_xf86dri_get_drawable_info_reply_t;
323
327 typedef struct xcb_xf86dri_get_device_info_cookie_t {
328 unsigned int sequence;
329 } xcb_xf86dri_get_device_info_cookie_t;
330
332 #define XCB_XF86DRI_GET_DEVICE_INFO 10
333
337 typedef struct xcb_xf86dri_get_device_info_request_t {
338 uint8_t major_opcode;
339 uint8_t minor_opcode;
340 uint16_t length;
341 uint32_t screen;
342 } xcb_xf86dri_get_device_info_request_t;
343
347 typedef struct xcb_xf86dri_get_device_info_reply_t {
348 uint8_t response_type;
349 uint8_t pad0;
350 uint16_t sequence;
351 uint32_t length;
352 uint32_t framebuffer_handle_low;
353 uint32_t framebuffer_handle_high;
354 uint32_t framebuffer_origin_offset;
355 uint32_t framebuffer_size;
356 uint32_t framebuffer_stride;
357 uint32_t device_private_size;
358 } xcb_xf86dri_get_device_info_reply_t;
359
363 typedef struct xcb_xf86dri_auth_connection_cookie_t {
364 unsigned int sequence;
365 } xcb_xf86dri_auth_connection_cookie_t;
366
368 #define XCB_XF86DRI_AUTH_CONNECTION 11
369
373 typedef struct xcb_xf86dri_auth_connection_request_t {
374 uint8_t major_opcode;
375 uint8_t minor_opcode;
376 uint16_t length;
377 uint32_t screen;
378 uint32_t magic;
379 } xcb_xf86dri_auth_connection_request_t;
380
384 typedef struct xcb_xf86dri_auth_connection_reply_t {
385 uint8_t response_type;
386 uint8_t pad0;
387 uint16_t sequence;
388 uint32_t length;
389 uint32_t authenticated;
390 } xcb_xf86dri_auth_connection_reply_t;
391
401 /*****************************************************************************
402 **
403 ** void xcb_xf86dri_drm_clip_rect_next
404 **
405 ** @param xcb_xf86dri_drm_clip_rect_iterator_t *i
406 ** @returns void
407 **
408 *****************************************************************************/
409
410 void
411 xcb_xf86dri_drm_clip_rect_next (xcb_xf86dri_drm_clip_rect_iterator_t *i );
412
423 /*****************************************************************************
424 **
425 ** xcb_generic_iterator_t xcb_xf86dri_drm_clip_rect_end
426 **
427 ** @param xcb_xf86dri_drm_clip_rect_iterator_t i
428 ** @returns xcb_generic_iterator_t
429 **
430 *****************************************************************************/
431
432 xcb_generic_iterator_t
433 xcb_xf86dri_drm_clip_rect_end (xcb_xf86dri_drm_clip_rect_iterator_t i );
434
444 /*****************************************************************************
445 **
446 ** xcb_xf86dri_query_version_cookie_t xcb_xf86dri_query_version
447 **
448 ** @param xcb_connection_t *c
449 ** @returns xcb_xf86dri_query_version_cookie_t
450 **
451 *****************************************************************************/
452
453 xcb_xf86dri_query_version_cookie_t
454 xcb_xf86dri_query_version (xcb_connection_t *c );
455
468 /*****************************************************************************
469 **
470 ** xcb_xf86dri_query_version_cookie_t xcb_xf86dri_query_version_unchecked
471 **
472 ** @param xcb_connection_t *c
473 ** @returns xcb_xf86dri_query_version_cookie_t
474 **
475 *****************************************************************************/
476
477 xcb_xf86dri_query_version_cookie_t
478 xcb_xf86dri_query_version_unchecked (xcb_connection_t *c );
479
495 /*****************************************************************************
496 **
497 ** xcb_xf86dri_query_version_reply_t * xcb_xf86dri_query_version_reply
498 **
499 ** @param xcb_connection_t *c
500 ** @param xcb_xf86dri_query_version_cookie_t cookie
501 ** @param xcb_generic_error_t **e
502 ** @returns xcb_xf86dri_query_version_reply_t *
503 **
504 *****************************************************************************/
505
506 xcb_xf86dri_query_version_reply_t *
507 xcb_xf86dri_query_version_reply (xcb_connection_t *c ,
508 xcb_xf86dri_query_version_cookie_t cookie ,
509 xcb_generic_error_t **e );
510
520 /*****************************************************************************
521 **
522 ** xcb_xf86dri_query_direct_rendering_capable_cookie_t xcb_xf86dri_query_direct_rendering_capable
523 **
524 ** @param xcb_connection_t *c
525 ** @param uint32_t screen
526 ** @returns xcb_xf86dri_query_direct_rendering_capable_cookie_t
527 **
528 *****************************************************************************/
529
530 xcb_xf86dri_query_direct_rendering_capable_cookie_t
531 xcb_xf86dri_query_direct_rendering_capable (xcb_connection_t *c ,
532 uint32_t screen );
533
546 /*****************************************************************************
547 **
548 ** xcb_xf86dri_query_direct_rendering_capable_cookie_t xcb_xf86dri_query_direct_rendering_capable_unchecked
549 **
550 ** @param xcb_connection_t *c
551 ** @param uint32_t screen
552 ** @returns xcb_xf86dri_query_direct_rendering_capable_cookie_t
553 **
554 *****************************************************************************/
555
556 xcb_xf86dri_query_direct_rendering_capable_cookie_t
557 xcb_xf86dri_query_direct_rendering_capable_unchecked (xcb_connection_t *c ,
558 uint32_t screen );
559
575 /*****************************************************************************
576 **
577 ** xcb_xf86dri_query_direct_rendering_capable_reply_t * xcb_xf86dri_query_direct_rendering_capable_reply
578 **
579 ** @param xcb_connection_t *c
580 ** @param xcb_xf86dri_query_direct_rendering_capable_cookie_t cookie
581 ** @param xcb_generic_error_t **e
582 ** @returns xcb_xf86dri_query_direct_rendering_capable_reply_t *
583 **
584 *****************************************************************************/
585
586 xcb_xf86dri_query_direct_rendering_capable_reply_t *
587 xcb_xf86dri_query_direct_rendering_capable_reply (xcb_connection_t *c ,
588 xcb_xf86dri_query_direct_rendering_capable_cookie_t cookie ,
589 xcb_generic_error_t **e );
590
591 int
592 xcb_xf86dri_open_connection_sizeof (const void *_buffer );
593
603 /*****************************************************************************
604 **
605 ** xcb_xf86dri_open_connection_cookie_t xcb_xf86dri_open_connection
606 **
607 ** @param xcb_connection_t *c
608 ** @param uint32_t screen
609 ** @returns xcb_xf86dri_open_connection_cookie_t
610 **
611 *****************************************************************************/
612
613 xcb_xf86dri_open_connection_cookie_t
614 xcb_xf86dri_open_connection (xcb_connection_t *c ,
615 uint32_t screen );
616
629 /*****************************************************************************
630 **
631 ** xcb_xf86dri_open_connection_cookie_t xcb_xf86dri_open_connection_unchecked
632 **
633 ** @param xcb_connection_t *c
634 ** @param uint32_t screen
635 ** @returns xcb_xf86dri_open_connection_cookie_t
636 **
637 *****************************************************************************/
638
639 xcb_xf86dri_open_connection_cookie_t
640 xcb_xf86dri_open_connection_unchecked (xcb_connection_t *c ,
641 uint32_t screen );
642
643
644 /*****************************************************************************
645 **
646 ** char * xcb_xf86dri_open_connection_bus_id
647 **
648 ** @param const xcb_xf86dri_open_connection_reply_t *R
649 ** @returns char *
650 **
651 *****************************************************************************/
652
653 char *
654 xcb_xf86dri_open_connection_bus_id (const xcb_xf86dri_open_connection_reply_t *R );
655
656
657 /*****************************************************************************
658 **
659 ** int xcb_xf86dri_open_connection_bus_id_length
660 **
661 ** @param const xcb_xf86dri_open_connection_reply_t *R
662 ** @returns int
663 **
664 *****************************************************************************/
665
666 int
667 xcb_xf86dri_open_connection_bus_id_length (const xcb_xf86dri_open_connection_reply_t *R );
668
669
670 /*****************************************************************************
671 **
672 ** xcb_generic_iterator_t xcb_xf86dri_open_connection_bus_id_end
673 **
674 ** @param const xcb_xf86dri_open_connection_reply_t *R
675 ** @returns xcb_generic_iterator_t
676 **
677 *****************************************************************************/
678
679 xcb_generic_iterator_t
680 xcb_xf86dri_open_connection_bus_id_end (const xcb_xf86dri_open_connection_reply_t *R );
681
697 /*****************************************************************************
698 **
699 ** xcb_xf86dri_open_connection_reply_t * xcb_xf86dri_open_connection_reply
700 **
701 ** @param xcb_connection_t *c
702 ** @param xcb_xf86dri_open_connection_cookie_t cookie
703 ** @param xcb_generic_error_t **e
704 ** @returns xcb_xf86dri_open_connection_reply_t *
705 **
706 *****************************************************************************/
707
708 xcb_xf86dri_open_connection_reply_t *
709 xcb_xf86dri_open_connection_reply (xcb_connection_t *c ,
710 xcb_xf86dri_open_connection_cookie_t cookie ,
711 xcb_generic_error_t **e );
712
725 /*****************************************************************************
726 **
727 ** xcb_void_cookie_t xcb_xf86dri_close_connection_checked
728 **
729 ** @param xcb_connection_t *c
730 ** @param uint32_t screen
731 ** @returns xcb_void_cookie_t
732 **
733 *****************************************************************************/
734
735 xcb_void_cookie_t
736 xcb_xf86dri_close_connection_checked (xcb_connection_t *c ,
737 uint32_t screen );
738
748 /*****************************************************************************
749 **
750 ** xcb_void_cookie_t xcb_xf86dri_close_connection
751 **
752 ** @param xcb_connection_t *c
753 ** @param uint32_t screen
754 ** @returns xcb_void_cookie_t
755 **
756 *****************************************************************************/
757
758 xcb_void_cookie_t
759 xcb_xf86dri_close_connection (xcb_connection_t *c ,
760 uint32_t screen );
761
762 int
763 xcb_xf86dri_get_client_driver_name_sizeof (const void *_buffer );
764
774 /*****************************************************************************
775 **
776 ** xcb_xf86dri_get_client_driver_name_cookie_t xcb_xf86dri_get_client_driver_name
777 **
778 ** @param xcb_connection_t *c
779 ** @param uint32_t screen
780 ** @returns xcb_xf86dri_get_client_driver_name_cookie_t
781 **
782 *****************************************************************************/
783
784 xcb_xf86dri_get_client_driver_name_cookie_t
785 xcb_xf86dri_get_client_driver_name (xcb_connection_t *c ,
786 uint32_t screen );
787
800 /*****************************************************************************
801 **
802 ** xcb_xf86dri_get_client_driver_name_cookie_t xcb_xf86dri_get_client_driver_name_unchecked
803 **
804 ** @param xcb_connection_t *c
805 ** @param uint32_t screen
806 ** @returns xcb_xf86dri_get_client_driver_name_cookie_t
807 **
808 *****************************************************************************/
809
810 xcb_xf86dri_get_client_driver_name_cookie_t
811 xcb_xf86dri_get_client_driver_name_unchecked (xcb_connection_t *c ,
812 uint32_t screen );
813
814
815 /*****************************************************************************
816 **
817 ** char * xcb_xf86dri_get_client_driver_name_client_driver_name
818 **
819 ** @param const xcb_xf86dri_get_client_driver_name_reply_t *R
820 ** @returns char *
821 **
822 *****************************************************************************/
823
824 char *
825 xcb_xf86dri_get_client_driver_name_client_driver_name (const xcb_xf86dri_get_client_driver_name_reply_t *R );
826
827
828 /*****************************************************************************
829 **
830 ** int xcb_xf86dri_get_client_driver_name_client_driver_name_length
831 **
832 ** @param const xcb_xf86dri_get_client_driver_name_reply_t *R
833 ** @returns int
834 **
835 *****************************************************************************/
836
837 int
838 xcb_xf86dri_get_client_driver_name_client_driver_name_length (const xcb_xf86dri_get_client_driver_name_reply_t *R );
839
840
841 /*****************************************************************************
842 **
843 ** xcb_generic_iterator_t xcb_xf86dri_get_client_driver_name_client_driver_name_end
844 **
845 ** @param const xcb_xf86dri_get_client_driver_name_reply_t *R
846 ** @returns xcb_generic_iterator_t
847 **
848 *****************************************************************************/
849
850 xcb_generic_iterator_t
851 xcb_xf86dri_get_client_driver_name_client_driver_name_end (const xcb_xf86dri_get_client_driver_name_reply_t *R );
852
868 /*****************************************************************************
869 **
870 ** xcb_xf86dri_get_client_driver_name_reply_t * xcb_xf86dri_get_client_driver_name_reply
871 **
872 ** @param xcb_connection_t *c
873 ** @param xcb_xf86dri_get_client_driver_name_cookie_t cookie
874 ** @param xcb_generic_error_t **e
875 ** @returns xcb_xf86dri_get_client_driver_name_reply_t *
876 **
877 *****************************************************************************/
878
879 xcb_xf86dri_get_client_driver_name_reply_t *
880 xcb_xf86dri_get_client_driver_name_reply (xcb_connection_t *c ,
881 xcb_xf86dri_get_client_driver_name_cookie_t cookie ,
882 xcb_generic_error_t **e );
883
893 /*****************************************************************************
894 **
895 ** xcb_xf86dri_create_context_cookie_t xcb_xf86dri_create_context
896 **
897 ** @param xcb_connection_t *c
898 ** @param uint32_t screen
899 ** @param uint32_t visual
900 ** @param uint32_t context
901 ** @returns xcb_xf86dri_create_context_cookie_t
902 **
903 *****************************************************************************/
904
905 xcb_xf86dri_create_context_cookie_t
906 xcb_xf86dri_create_context (xcb_connection_t *c ,
907 uint32_t screen ,
908 uint32_t visual ,
909 uint32_t context );
910
923 /*****************************************************************************
924 **
925 ** xcb_xf86dri_create_context_cookie_t xcb_xf86dri_create_context_unchecked
926 **
927 ** @param xcb_connection_t *c
928 ** @param uint32_t screen
929 ** @param uint32_t visual
930 ** @param uint32_t context
931 ** @returns xcb_xf86dri_create_context_cookie_t
932 **
933 *****************************************************************************/
934
935 xcb_xf86dri_create_context_cookie_t
936 xcb_xf86dri_create_context_unchecked (xcb_connection_t *c ,
937 uint32_t screen ,
938 uint32_t visual ,
939 uint32_t context );
940
956 /*****************************************************************************
957 **
958 ** xcb_xf86dri_create_context_reply_t * xcb_xf86dri_create_context_reply
959 **
960 ** @param xcb_connection_t *c
961 ** @param xcb_xf86dri_create_context_cookie_t cookie
962 ** @param xcb_generic_error_t **e
963 ** @returns xcb_xf86dri_create_context_reply_t *
964 **
965 *****************************************************************************/
966
967 xcb_xf86dri_create_context_reply_t *
968 xcb_xf86dri_create_context_reply (xcb_connection_t *c ,
969 xcb_xf86dri_create_context_cookie_t cookie ,
970 xcb_generic_error_t **e );
971
984 /*****************************************************************************
985 **
986 ** xcb_void_cookie_t xcb_xf86dri_destroy_context_checked
987 **
988 ** @param xcb_connection_t *c
989 ** @param uint32_t screen
990 ** @param uint32_t context
991 ** @returns xcb_void_cookie_t
992 **
993 *****************************************************************************/
994
995 xcb_void_cookie_t
996 xcb_xf86dri_destroy_context_checked (xcb_connection_t *c ,
997 uint32_t screen ,
998 uint32_t context );
999
1009 /*****************************************************************************
1010 **
1011 ** xcb_void_cookie_t xcb_xf86dri_destroy_context
1012 **
1013 ** @param xcb_connection_t *c
1014 ** @param uint32_t screen
1015 ** @param uint32_t context
1016 ** @returns xcb_void_cookie_t
1017 **
1018 *****************************************************************************/
1019
1020 xcb_void_cookie_t
1021 xcb_xf86dri_destroy_context (xcb_connection_t *c ,
1022 uint32_t screen ,
1023 uint32_t context );
1024
1034 /*****************************************************************************
1035 **
1036 ** xcb_xf86dri_create_drawable_cookie_t xcb_xf86dri_create_drawable
1037 **
1038 ** @param xcb_connection_t *c
1039 ** @param uint32_t screen
1040 ** @param uint32_t drawable
1041 ** @returns xcb_xf86dri_create_drawable_cookie_t
1042 **
1043 *****************************************************************************/
1044
1045 xcb_xf86dri_create_drawable_cookie_t
1046 xcb_xf86dri_create_drawable (xcb_connection_t *c ,
1047 uint32_t screen ,
1048 uint32_t drawable );
1049
1062 /*****************************************************************************
1063 **
1064 ** xcb_xf86dri_create_drawable_cookie_t xcb_xf86dri_create_drawable_unchecked
1065 **
1066 ** @param xcb_connection_t *c
1067 ** @param uint32_t screen
1068 ** @param uint32_t drawable
1069 ** @returns xcb_xf86dri_create_drawable_cookie_t
1070 **
1071 *****************************************************************************/
1072
1073 xcb_xf86dri_create_drawable_cookie_t
1074 xcb_xf86dri_create_drawable_unchecked (xcb_connection_t *c ,
1075 uint32_t screen ,
1076 uint32_t drawable );
1077
1093 /*****************************************************************************
1094 **
1095 ** xcb_xf86dri_create_drawable_reply_t * xcb_xf86dri_create_drawable_reply
1096 **
1097 ** @param xcb_connection_t *c
1098 ** @param xcb_xf86dri_create_drawable_cookie_t cookie
1099 ** @param xcb_generic_error_t **e
1100 ** @returns xcb_xf86dri_create_drawable_reply_t *
1101 **
1102 *****************************************************************************/
1103
1104 xcb_xf86dri_create_drawable_reply_t *
1105 xcb_xf86dri_create_drawable_reply (xcb_connection_t *c ,
1106 xcb_xf86dri_create_drawable_cookie_t cookie ,
1107 xcb_generic_error_t **e );
1108
1121 /*****************************************************************************
1122 **
1123 ** xcb_void_cookie_t xcb_xf86dri_destroy_drawable_checked
1124 **
1125 ** @param xcb_connection_t *c
1126 ** @param uint32_t screen
1127 ** @param uint32_t drawable
1128 ** @returns xcb_void_cookie_t
1129 **
1130 *****************************************************************************/
1131
1132 xcb_void_cookie_t
1133 xcb_xf86dri_destroy_drawable_checked (xcb_connection_t *c ,
1134 uint32_t screen ,
1135 uint32_t drawable );
1136
1146 /*****************************************************************************
1147 **
1148 ** xcb_void_cookie_t xcb_xf86dri_destroy_drawable
1149 **
1150 ** @param xcb_connection_t *c
1151 ** @param uint32_t screen
1152 ** @param uint32_t drawable
1153 ** @returns xcb_void_cookie_t
1154 **
1155 *****************************************************************************/
1156
1157 xcb_void_cookie_t
1158 xcb_xf86dri_destroy_drawable (xcb_connection_t *c ,
1159 uint32_t screen ,
1160 uint32_t drawable );
1161
1162 int
1163 xcb_xf86dri_get_drawable_info_sizeof (const void *_buffer );
1164
1174 /*****************************************************************************
1175 **
1176 ** xcb_xf86dri_get_drawable_info_cookie_t xcb_xf86dri_get_drawable_info
1177 **
1178 ** @param xcb_connection_t *c
1179 ** @param uint32_t screen
1180 ** @param uint32_t drawable
1181 ** @returns xcb_xf86dri_get_drawable_info_cookie_t
1182 **
1183 *****************************************************************************/
1184
1185 xcb_xf86dri_get_drawable_info_cookie_t
1186 xcb_xf86dri_get_drawable_info (xcb_connection_t *c ,
1187 uint32_t screen ,
1188 uint32_t drawable );
1189
1202 /*****************************************************************************
1203 **
1204 ** xcb_xf86dri_get_drawable_info_cookie_t xcb_xf86dri_get_drawable_info_unchecked
1205 **
1206 ** @param xcb_connection_t *c
1207 ** @param uint32_t screen
1208 ** @param uint32_t drawable
1209 ** @returns xcb_xf86dri_get_drawable_info_cookie_t
1210 **
1211 *****************************************************************************/
1212
1213 xcb_xf86dri_get_drawable_info_cookie_t
1214 xcb_xf86dri_get_drawable_info_unchecked (xcb_connection_t *c ,
1215 uint32_t screen ,
1216 uint32_t drawable );
1217
1218
1219 /*****************************************************************************
1220 **
1221 ** xcb_xf86dri_drm_clip_rect_t * xcb_xf86dri_get_drawable_info_clip_rects
1222 **
1223 ** @param const xcb_xf86dri_get_drawable_info_reply_t *R
1224 ** @returns xcb_xf86dri_drm_clip_rect_t *
1225 **
1226 *****************************************************************************/
1227
1228 xcb_xf86dri_drm_clip_rect_t *
1229 xcb_xf86dri_get_drawable_info_clip_rects (const xcb_xf86dri_get_drawable_info_reply_t *R );
1230
1231
1232 /*****************************************************************************
1233 **
1234 ** int xcb_xf86dri_get_drawable_info_clip_rects_length
1235 **
1236 ** @param const xcb_xf86dri_get_drawable_info_reply_t *R
1237 ** @returns int
1238 **
1239 *****************************************************************************/
1240
1241 int
1242 xcb_xf86dri_get_drawable_info_clip_rects_length (const xcb_xf86dri_get_drawable_info_reply_t *R );
1243
1244
1245 /*****************************************************************************
1246 **
1247 ** xcb_xf86dri_drm_clip_rect_iterator_t xcb_xf86dri_get_drawable_info_clip_rects_iterator
1248 **
1249 ** @param const xcb_xf86dri_get_drawable_info_reply_t *R
1250 ** @returns xcb_xf86dri_drm_clip_rect_iterator_t
1251 **
1252 *****************************************************************************/
1253
1254 xcb_xf86dri_drm_clip_rect_iterator_t
1255 xcb_xf86dri_get_drawable_info_clip_rects_iterator (const xcb_xf86dri_get_drawable_info_reply_t *R );
1256
1257
1258 /*****************************************************************************
1259 **
1260 ** xcb_xf86dri_drm_clip_rect_t * xcb_xf86dri_get_drawable_info_back_clip_rects
1261 **
1262 ** @param const xcb_xf86dri_get_drawable_info_reply_t *R
1263 ** @returns xcb_xf86dri_drm_clip_rect_t *
1264 **
1265 *****************************************************************************/
1266
1267 xcb_xf86dri_drm_clip_rect_t *
1268 xcb_xf86dri_get_drawable_info_back_clip_rects (const xcb_xf86dri_get_drawable_info_reply_t *R );
1269
1270
1271 /*****************************************************************************
1272 **
1273 ** int xcb_xf86dri_get_drawable_info_back_clip_rects_length
1274 **
1275 ** @param const xcb_xf86dri_get_drawable_info_reply_t *R
1276 ** @returns int
1277 **
1278 *****************************************************************************/
1279
1280 int
1281 xcb_xf86dri_get_drawable_info_back_clip_rects_length (const xcb_xf86dri_get_drawable_info_reply_t *R );
1282
1283
1284 /*****************************************************************************
1285 **
1286 ** xcb_xf86dri_drm_clip_rect_iterator_t xcb_xf86dri_get_drawable_info_back_clip_rects_iterator
1287 **
1288 ** @param const xcb_xf86dri_get_drawable_info_reply_t *R
1289 ** @returns xcb_xf86dri_drm_clip_rect_iterator_t
1290 **
1291 *****************************************************************************/
1292
1293 xcb_xf86dri_drm_clip_rect_iterator_t
1294 xcb_xf86dri_get_drawable_info_back_clip_rects_iterator (const xcb_xf86dri_get_drawable_info_reply_t *R );
1295
1311 /*****************************************************************************
1312 **
1313 ** xcb_xf86dri_get_drawable_info_reply_t * xcb_xf86dri_get_drawable_info_reply
1314 **
1315 ** @param xcb_connection_t *c
1316 ** @param xcb_xf86dri_get_drawable_info_cookie_t cookie
1317 ** @param xcb_generic_error_t **e
1318 ** @returns xcb_xf86dri_get_drawable_info_reply_t *
1319 **
1320 *****************************************************************************/
1321
1322 xcb_xf86dri_get_drawable_info_reply_t *
1323 xcb_xf86dri_get_drawable_info_reply (xcb_connection_t *c ,
1324 xcb_xf86dri_get_drawable_info_cookie_t cookie ,
1325 xcb_generic_error_t **e );
1326
1327 int
1328 xcb_xf86dri_get_device_info_sizeof (const void *_buffer );
1329
1339 /*****************************************************************************
1340 **
1341 ** xcb_xf86dri_get_device_info_cookie_t xcb_xf86dri_get_device_info
1342 **
1343 ** @param xcb_connection_t *c
1344 ** @param uint32_t screen
1345 ** @returns xcb_xf86dri_get_device_info_cookie_t
1346 **
1347 *****************************************************************************/
1348
1349 xcb_xf86dri_get_device_info_cookie_t
1350 xcb_xf86dri_get_device_info (xcb_connection_t *c ,
1351 uint32_t screen );
1352
1365 /*****************************************************************************
1366 **
1367 ** xcb_xf86dri_get_device_info_cookie_t xcb_xf86dri_get_device_info_unchecked
1368 **
1369 ** @param xcb_connection_t *c
1370 ** @param uint32_t screen
1371 ** @returns xcb_xf86dri_get_device_info_cookie_t
1372 **
1373 *****************************************************************************/
1374
1375 xcb_xf86dri_get_device_info_cookie_t
1376 xcb_xf86dri_get_device_info_unchecked (xcb_connection_t *c ,
1377 uint32_t screen );
1378
1379
1380 /*****************************************************************************
1381 **
1382 ** uint32_t * xcb_xf86dri_get_device_info_device_private
1383 **
1384 ** @param const xcb_xf86dri_get_device_info_reply_t *R
1385 ** @returns uint32_t *
1386 **
1387 *****************************************************************************/
1388
1389 uint32_t *
1390 xcb_xf86dri_get_device_info_device_private (const xcb_xf86dri_get_device_info_reply_t *R );
1391
1392
1393 /*****************************************************************************
1394 **
1395 ** int xcb_xf86dri_get_device_info_device_private_length
1396 **
1397 ** @param const xcb_xf86dri_get_device_info_reply_t *R
1398 ** @returns int
1399 **
1400 *****************************************************************************/
1401
1402 int
1403 xcb_xf86dri_get_device_info_device_private_length (const xcb_xf86dri_get_device_info_reply_t *R );
1404
1405
1406 /*****************************************************************************
1407 **
1408 ** xcb_generic_iterator_t xcb_xf86dri_get_device_info_device_private_end
1409 **
1410 ** @param const xcb_xf86dri_get_device_info_reply_t *R
1411 ** @returns xcb_generic_iterator_t
1412 **
1413 *****************************************************************************/
1414
1415 xcb_generic_iterator_t
1416 xcb_xf86dri_get_device_info_device_private_end (const xcb_xf86dri_get_device_info_reply_t *R );
1417
1433 /*****************************************************************************
1434 **
1435 ** xcb_xf86dri_get_device_info_reply_t * xcb_xf86dri_get_device_info_reply
1436 **
1437 ** @param xcb_connection_t *c
1438 ** @param xcb_xf86dri_get_device_info_cookie_t cookie
1439 ** @param xcb_generic_error_t **e
1440 ** @returns xcb_xf86dri_get_device_info_reply_t *
1441 **
1442 *****************************************************************************/
1443
1444 xcb_xf86dri_get_device_info_reply_t *
1445 xcb_xf86dri_get_device_info_reply (xcb_connection_t *c ,
1446 xcb_xf86dri_get_device_info_cookie_t cookie ,
1447 xcb_generic_error_t **e );
1448
1458 /*****************************************************************************
1459 **
1460 ** xcb_xf86dri_auth_connection_cookie_t xcb_xf86dri_auth_connection
1461 **
1462 ** @param xcb_connection_t *c
1463 ** @param uint32_t screen
1464 ** @param uint32_t magic
1465 ** @returns xcb_xf86dri_auth_connection_cookie_t
1466 **
1467 *****************************************************************************/
1468
1469 xcb_xf86dri_auth_connection_cookie_t
1470 xcb_xf86dri_auth_connection (xcb_connection_t *c ,
1471 uint32_t screen ,
1472 uint32_t magic );
1473
1486 /*****************************************************************************
1487 **
1488 ** xcb_xf86dri_auth_connection_cookie_t xcb_xf86dri_auth_connection_unchecked
1489 **
1490 ** @param xcb_connection_t *c
1491 ** @param uint32_t screen
1492 ** @param uint32_t magic
1493 ** @returns xcb_xf86dri_auth_connection_cookie_t
1494 **
1495 *****************************************************************************/
1496
1497 xcb_xf86dri_auth_connection_cookie_t
1498 xcb_xf86dri_auth_connection_unchecked (xcb_connection_t *c ,
1499 uint32_t screen ,
1500 uint32_t magic );
1501
1517 /*****************************************************************************
1518 **
1519 ** xcb_xf86dri_auth_connection_reply_t * xcb_xf86dri_auth_connection_reply
1520 **
1521 ** @param xcb_connection_t *c
1522 ** @param xcb_xf86dri_auth_connection_cookie_t cookie
1523 ** @param xcb_generic_error_t **e
1524 ** @returns xcb_xf86dri_auth_connection_reply_t *
1525 **
1526 *****************************************************************************/
1527
1528 xcb_xf86dri_auth_connection_reply_t *
1529 xcb_xf86dri_auth_connection_reply (xcb_connection_t *c ,
1530 xcb_xf86dri_auth_connection_cookie_t cookie ,
1531 xcb_generic_error_t **e );
1532
1533
1534 #ifdef __cplusplus
1535 }
1536 #endif
1537
1538 #endif
1539